<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

Kirki::add_panel('edumodo_panel_single', array(
	'title' => esc_attr__('Single', 'edumodo'),
	'priority' => 160,
));
	require_once dirname( __FILE__ ) . '/single/blog.php';
	new Edumodo_Customizer_Single_Archive('edumodo_panel_single', 160);

	require_once dirname( __FILE__ ) . '/single/notice.php';
	new Edumodo_Customizer_Single_Notice('edumodo_panel_single', 160);

	require_once dirname( __FILE__ ) . '/single/teacher.php';
	new Edumodo_Customizer_Single_Teacher('edumodo_panel_single', 160);

	require_once dirname( __FILE__ ) . '/single/tx-course.php';
	new Edumodo_Customizer_Single_TX_Course('edumodo_panel_single', 160);
	
	if (class_exists('Tribe__Events__Main')) {
		require_once dirname( __FILE__ ) . '/single/event.php';
		new Edumodo_Customizer_Single_Event('edumodo_panel_single', 160);
	}
	if(class_exists('LearnPress')){
		require_once dirname( __FILE__ ) . '/single/learnpress.php';
		new Edumodo_Customizer_Single_Learnpress('edumodo_panel_single', 160);
		
	}
	if (class_exists('SFWD_LMS')) {
		require_once dirname( __FILE__ ) . '/single/learndash.php';
		new Edumodo_Customizer_Single_LearnDash('edumodo_panel_single', 160);
	}
	if (defined('LLMS_VERSION')) {
		require_once dirname( __FILE__ ) . '/single/lifter.php';
		new Edumodo_Customizer_Single_Lifter('edumodo_panel_single', 160);
	}
	if (defined('TUTOR_VERSION')) {
		require_once dirname( __FILE__ ) . '/single/tutor.php';
		new Edumodo_Customizer_Single_Tutor('edumodo_panel_single', 160);
	}
	if (class_exists('WooCommerce')) {
		require_once dirname( __FILE__ ) . '/single/woocommerce.php';
		new Edumodo_Customizer_Single_WooCommerce('edumodo_panel_single', 160);
	}